DisasterRecoveryClient¶
- class oci.disaster_recovery.DisasterRecoveryClient(config, **kwargs)¶
Use the Full Stack Disaster Recovery (DR) API to manage disaster recovery for business applications. Full Stack DR is an OCI disaster recovery orchestration and management service that provides comprehensive disaster recovery capabilities for all layers of an application stack, including infrastructure, middleware, database, and application.
Methods:
__init__(config, **kwargs)Creates a new service client
Create an association between the DR protection group identified by drProtectionGroupId and another DR protection group.
Cancel the DR plan execution identified by drPlanExecutionId.
cancel_work_request(work_request_id, **kwargs)Cancel the work request identified by workRequestId.
Move the DR protection group identified by drProtectionGroupId to a different compartment.
Create a Automatic DR configuration.
create_dr_plan(create_dr_plan_details, **kwargs)Create a DR plan of the specified DR plan type.
Execute a DR plan for a DR protection group.
Create a DR protection group.
Delete the automatic DR configuration identified by automaticDrConfigurationId.
delete_dr_plan(dr_plan_id, **kwargs)Delete the DR plan identified by drPlanId.
Delete the DR plan execution identified by drPlanExecutionId.
Delete the DR protection group identified by drProtectionGroupId.
Delete the association between the DR protection group identified by drProtectionGroupId.
Get details for the Automatic DR configuration identified by automaticDrConfigurationId.
get_dr_plan(dr_plan_id, **kwargs)Get details for the DR plan identified by drPlanId.
get_dr_plan_execution(dr_plan_execution_id, ...)Get details for the DR plan execution identified by drPlanExecutionId.
Get the DR protection group identified by drProtectionGroupId.
get_work_request(work_request_id, **kwargs)Get the status of the work request identified by workRequestId.
Ignore the failed group or step in DR plan execution identified by drPlanExecutionId and resume execution.
Get a summary list of automatic DR configurations for a DR protection group.
Get a summary list of all DR plan executions for a DR protection group.
list_dr_plans(dr_protection_group_id, **kwargs)Get a summary list of all DR plans for a DR protection group.
list_dr_protection_groups(compartment_id, ...)Get a summary list of all DR protection groups in a compartment.
list_work_request_errors(work_request_id, ...)Get a list of work request errors for the work request identified by workRequestId.
list_work_request_logs(work_request_id, **kwargs)Get a list of logs for the work request identified by workRequestId.
list_work_requests(**kwargs)Lists the work requests in a compartment.
Pause the DR plan execution identified by drPlanExecutionId.
refresh_dr_plan(refresh_dr_plan_details, ...)Refresh DR Plan identified by drPlanId.
Resume the DR plan execution identified by drPlanExecutionId.
Retry the failed group or step in DR plan execution identified by drPlanExecutionId and resume execution.
Update the Automatic DR configuration identified by automaticDrConfigurationId.
update_dr_plan(update_dr_plan_details, ...)Update the DR plan identified by drPlanId.
Update the DR plan execution identified by drPlanExecutionId.
Update the DR protection group identified by drProtectionGroupId.
Update the role of the DR protection group identified by drProtectionGroupId.
verify_dr_plan(verify_dr_plan_details, ...)Verify DR Plan identified by drPlanId.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- associate_dr_protection_group(associate_dr_protection_group_details, dr_protection_group_id, **kwargs)¶
Create an association between the DR protection group identified by drProtectionGroupId and another DR protection group.
- Parameters
associate_dr_protection_group_details (oci.disaster_recovery.models.AssociateDrProtectionGroupDetails) – (required) Details for creating an association between two DR protection groups.
dr_protection_group_id (str) –
(required) The OCID of the DR protection group.
Example: ocid1.drprotectiongroup.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use associate_dr_protection_group API.
- cancel_dr_plan_execution(cancel_dr_plan_execution_details, dr_plan_execution_id, **kwargs)¶
Cancel the DR plan execution identified by drPlanExecutionId.
- Parameters
cancel_dr_plan_execution_details (oci.disaster_recovery.models.CancelDrPlanExecutionDetails) – (required) Details for canceling the DR plan execution.
dr_plan_execution_id (str) –
(required) The OCID of the DR plan execution.
Example: ocid1.drplanexecution.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use cancel_dr_plan_execution API.
- cancel_work_request(work_request_id, **kwargs)¶
Cancel the work request identified by workRequestId.
- Parameters
work_request_id (str) –
(required) The ID (OCID) of the asynchronous request.
Example: ocid1.workrequest.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use cancel_work_request API.
- change_dr_protection_group_compartment(change_dr_protection_group_compartment_details, dr_protection_group_id, **kwargs)¶
Move the DR protection group identified by drProtectionGroupId to a different compartment.
- Parameters
change_dr_protection_group_compartment_details (oci.disaster_recovery.models.ChangeDrProtectionGroupCompartmentDetails) – (required) Details for changing the DR protection group compartment.
dr_protection_group_id (str) –
(required) The OCID of the DR protection group.
Example: ocid1.drprotectiongroup.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_dr_protection_group_compartment API.
- create_automatic_dr_configuration(create_automatic_dr_configuration_details, **kwargs)¶
Create a Automatic DR configuration.
- Parameters
create_automatic_dr_configuration_details (oci.disaster_recovery.models.CreateAutomaticDrConfigurationDetails) – (required) Details for creating the new Automatic DR configuration.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAutomaticDrConfiguration- Return type
- Example
Click here to see an example of how to use create_automatic_dr_configuration API.
- create_dr_plan(create_dr_plan_details, **kwargs)¶
Create a DR plan of the specified DR plan type.
- Parameters
create_dr_plan_details (oci.disaster_recovery.models.CreateDrPlanDetails) – (required) Details for creating the new DR plan.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use create_dr_plan API.
- create_dr_plan_execution(create_dr_plan_execution_details, **kwargs)¶
Execute a DR plan for a DR protection group.
- Parameters
create_dr_plan_execution_details (oci.disaster_recovery.models.CreateDrPlanExecutionDetails) – (required) Details for creating the DR plan execution.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDrPlanExecution- Return type
- Example
Click here to see an example of how to use create_dr_plan_execution API.
- create_dr_protection_group(create_dr_protection_group_details, **kwargs)¶
Create a DR protection group.
- Parameters
create_dr_protection_group_details (oci.disaster_recovery.models.CreateDrProtectionGroupDetails) – (required) Details for creating the DR protection group.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDrProtectionGroup- Return type
- Example
Click here to see an example of how to use create_dr_protection_group API.
- delete_automatic_dr_configuration(automatic_dr_configuration_id, **kwargs)¶
Delete the automatic DR configuration identified by automaticDrConfigurationId.
- Parameters
automatic_dr_configuration_id (str) –
(required) The OCID of the Automatic DR configuration.
Example: ocid1.automaticDrConfiguration.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_automatic_dr_configuration API.
- delete_dr_plan(dr_plan_id, **kwargs)¶
Delete the DR plan identified by drPlanId.
- Parameters
dr_plan_id (str) –
(required) The OCID of the DR plan.
Example: ocid1.drplan.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_dr_plan API.
- delete_dr_plan_execution(dr_plan_execution_id, **kwargs)¶
Delete the DR plan execution identified by drPlanExecutionId.
- Parameters
dr_plan_execution_id (str) –
(required) The OCID of the DR plan execution.
Example: ocid1.drplanexecution.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_dr_plan_execution API.
- delete_dr_protection_group(dr_protection_group_id, **kwargs)¶
Delete the DR protection group identified by drProtectionGroupId.
- Parameters
dr_protection_group_id (str) –
(required) The OCID of the DR protection group.
Example: ocid1.drprotectiongroup.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_dr_protection_group API.
- disassociate_dr_protection_group(disassociate_dr_protection_group_details, dr_protection_group_id, **kwargs)¶
Delete the association between the DR protection group identified by drProtectionGroupId. and its peer DR protection group.
- Parameters
disassociate_dr_protection_group_details (oci.disaster_recovery.models.DisassociateDrProtectionGroupDetails) – (required) Details for deleting the association between two DR protection groups.
dr_protection_group_id (str) –
(required) The OCID of the DR protection group.
Example: ocid1.drprotectiongroup.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use disassociate_dr_protection_group API.
- get_automatic_dr_configuration(automatic_dr_configuration_id, **kwargs)¶
Get details for the Automatic DR configuration identified by automaticDrConfigurationId.
- Parameters
automatic_dr_configuration_id (str) –
(required) The OCID of the Automatic DR configuration.
Example: ocid1.automaticDrConfiguration.oc1..uniqueID
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAutomaticDrConfiguration- Return type
- Example
Click here to see an example of how to use get_automatic_dr_configuration API.
- get_dr_plan(dr_plan_id, **kwargs)¶
Get details for the DR plan identified by drPlanId.
- Parameters
dr_plan_id (str) –
(required) The OCID of the DR plan.
Example: ocid1.drplan.oc1..uniqueID
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
- Return type
- Example
Click here to see an example of how to use get_dr_plan API.
- get_dr_plan_execution(dr_plan_execution_id, **kwargs)¶
Get details for the DR plan execution identified by drPlanExecutionId.
- Parameters
dr_plan_execution_id (str) –
(required) The OCID of the DR plan execution.
Example: ocid1.drplanexecution.oc1..uniqueID
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDrPlanExecution- Return type
- Example
Click here to see an example of how to use get_dr_plan_execution API.
- get_dr_protection_group(dr_protection_group_id, **kwargs)¶
Get the DR protection group identified by drProtectionGroupId.
- Parameters
dr_protection_group_id (str) –
(required) The OCID of the DR protection group.
Example: ocid1.drprotectiongroup.oc1..uniqueID
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDrProtectionGroup- Return type
- Example
Click here to see an example of how to use get_dr_protection_group API.
- get_work_request(work_request_id, **kwargs)¶
Get the status of the work request identified by workRequestId.
- Parameters
work_request_id (str) –
(required) The ID (OCID) of the asynchronous request.
Example: ocid1.workrequest.oc1..uniqueID
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequest- Return type
- Example
Click here to see an example of how to use get_work_request API.
- ignore_dr_plan_execution(ignore_dr_plan_execution_details, dr_plan_execution_id, **kwargs)¶
Ignore the failed group or step in DR plan execution identified by drPlanExecutionId and resume execution.
- Parameters
ignore_dr_plan_execution_details (oci.disaster_recovery.models.IgnoreDrPlanExecutionDetails) – (required) Details for ignoring the failed group or step and resuming execution.
dr_plan_execution_id (str) –
(required) The OCID of the DR plan execution.
Example: ocid1.drplanexecution.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use ignore_dr_plan_execution API.
- list_automatic_dr_configurations(dr_protection_group_id, **kwargs)¶
Get a summary list of automatic DR configurations for a DR protection group.
- Parameters
dr_protection_group_id (str) –
(required) The OCID of the DR protection group. Mandatory query param.
Example: ocid1.drprotectiongroup.oc1..uniqueID
automatic_dr_configuration_id (str) –
(optional) The OCID of the automatic DR configuration.
Example: ocid1.automaticDrConfiguration.oc1..uniqueID
lifecycle_state (str) –
(optional) A filter to return only Automatic DR configurations that match the given lifecycle state.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “INACTIVE”, “NEEDS_ATTENTION”, “DELETING”, “DELETED”, “FAILED”
lifecycle_state_not_equal_to (str) –
(optional) A filter to return only Automatic DR configurations that do not match the given lifecycle state.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “INACTIVE”, “NEEDS_ATTENTION”, “DELETING”, “DELETED”, “FAILED”
display_name (str) –
(optional) A filter to return only resources that match the given display name.
Example: MyResourceDisplayName
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. 1 is the minimum, 1000 is the maximum.
For important details about how pagination works, see List Pagination.
Example: 100
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call.
For important details about how pagination works, see List Pagination.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Example: MyResourceDisplayName
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeAutomaticDrConfigurationCollection- Return type
- Example
Click here to see an example of how to use list_automatic_dr_configurations API.
- list_dr_plan_executions(dr_protection_group_id, **kwargs)¶
Get a summary list of all DR plan executions for a DR protection group.
- Parameters
dr_protection_group_id (str) –
(required) The OCID of the DR protection group. Mandatory query param.
Example: ocid1.drprotectiongroup.oc1..uniqueID
lifecycle_state (str) –
(optional) A filter to return only DR plan executions that match the given lifecycle state.
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “WAITING”, “CANCELING”, “CANCELED”, “SUCCEEDED”, “FAILED”, “DELETING”, “DELETED”, “PAUSING”, “PAUSED”, “RESUMING”
dr_plan_execution_id (str) –
(optional) The OCID of the DR plan execution.
Example: ocid1.drplanexecution.oc1..uniqueID
display_name (str) –
(optional) A filter to return only resources that match the given display name.
Example: MyResourceDisplayName
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. 1 is the minimum, 1000 is the maximum.
For important details about how pagination works, see List Pagination.
Example: 100
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call.
For important details about how pagination works, see List Pagination.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Example: MyResourceDisplayName
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDrPlanExecutionCollection- Return type
- Example
Click here to see an example of how to use list_dr_plan_executions API.
- list_dr_plans(dr_protection_group_id, **kwargs)¶
Get a summary list of all DR plans for a DR protection group.
- Parameters
dr_protection_group_id (str) –
(required) The OCID of the DR protection group. Mandatory query param.
Example: ocid1.drprotectiongroup.oc1..uniqueID
lifecycle_state (str) –
(optional) A filter to return only DR plans that match the given lifecycle state.
Allowed values are: “CREATING”, “UPDATING”, “ACTIVE”, “INACTIVE”, “DELETING”, “DELETED”, “FAILED”, “NEEDS_ATTENTION”
dr_plan_id (str) –
(optional) The OCID of the DR plan.
Example: ocid1.drplan.oc1..uniqueID
dr_plan_type (str) –
(optional) The DR plan type.
Allowed values are: “SWITCHOVER”, “FAILOVER”, “START_DRILL”, “STOP_DRILL”
display_name (str) –
(optional) A filter to return only resources that match the given display name.
Example: MyResourceDisplayName
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. 1 is the minimum, 1000 is the maximum.
For important details about how pagination works, see List Pagination.
Example: 100
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call.
For important details about how pagination works, see List Pagination.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Example: MyResourceDisplayName
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
lifecycle_sub_state (str) –
(optional) A filter to return only DR plans that match the given lifecycle sub-state.
Allowed values are: “NEEDS_REFRESH”, “NEEDS_VERIFICATION”, “REFRESHING”, “VERIFYING”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDrPlanCollection- Return type
- Example
Click here to see an example of how to use list_dr_plans API.
- list_dr_protection_groups(compartment_id, **kwargs)¶
Get a summary list of all DR protection groups in a compartment.
- Parameters
compartment_id (str) –
(required) The ID (OCID) of the compartment in which to list resources.
Example: ocid1.compartment.oc1..uniqueID
lifecycle_state (str) –
(optional) A filter to return only DR protection groups that match the given lifecycle state.
Allowed values are: “CREATING”, “ACTIVE”, “UPDATING”, “INACTIVE”, “NEEDS_ATTENTION”, “DELETING”, “DELETED”, “FAILED”
dr_protection_group_id (str) –
(optional) The OCID of the DR protection group. Optional query param.
Example: ocid1.drprotectiongroup.oc1..uniqueID
display_name (str) –
(optional) A filter to return only resources that match the given display name.
Example: MyResourceDisplayName
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. 1 is the minimum, 1000 is the maximum.
For important details about how pagination works, see List Pagination.
Example: 100
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call.
For important details about how pagination works, see List Pagination.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Example: MyResourceDisplayName
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
role (str) –
(optional) The DR protection group Role.
Allowed values are: “PRIMARY”, “STANDBY”, “UNCONFIGURED”
lifecycle_sub_state (str) –
(optional) A filter to return only DR protection groups that match the given lifecycle sub-state.
Allowed values are: “DR_DRILL_IN_PROGRESS”, “DR_PLAN_EXECUTION_IN_PROGRESS”, “AUTOMATIC_DR_PLAN_EXECUTION_IN_PROGRESS”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDrProtectionGroupCollection- Return type
- Example
Click here to see an example of how to use list_dr_protection_groups API.
- list_work_request_errors(work_request_id, **kwargs)¶
Get a list of work request errors for the work request identified by workRequestId.
- Parameters
work_request_id (str) –
(required) The ID (OCID) of the asynchronous request.
Example: ocid1.workrequest.oc1..uniqueID
opc_request_id (str) – (optional) The client request ID for tracing.
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call.
For important details about how pagination works, see List Pagination.
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. 1 is the minimum, 1000 is the maximum.
For important details about how pagination works, see List Pagination.
Example: 100
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeAccepted is descending.
Allowed values are: “timeAccepted”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestErrorCollection- Return type
- Example
Click here to see an example of how to use list_work_request_errors API.
- list_work_request_logs(work_request_id, **kwargs)¶
Get a list of logs for the work request identified by workRequestId.
- Parameters
work_request_id (str) –
(required) The ID (OCID) of the asynchronous request.
Example: ocid1.workrequest.oc1..uniqueID
opc_request_id (str) – (optional) The client request ID for tracing.
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call.
For important details about how pagination works, see List Pagination.
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. 1 is the minimum, 1000 is the maximum.
For important details about how pagination works, see List Pagination.
Example: 100
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeAccepted is descending.
Allowed values are: “timeAccepted”
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestLogEntryCollection- Return type
- Example
Click here to see an example of how to use list_work_request_logs API.
- list_work_requests(**kwargs)¶
Lists the work requests in a compartment.
- Parameters
compartment_id (str) –
(optional) The ID (OCID) of the compartment in which to list resources.
Example: ocid1.compartment.oc1..uniqueID
work_request_id (str) –
(optional) The ID (OCID) of the asynchronous work request.
Example: ocid1.workrequest.oc1..uniqueID
status (str) –
(optional) A filter to return only resources whose lifecycleState matches the given OperationStatus.
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “WAITING”, “CANCELING”, “CANCELED”, “SUCCEEDED”, “FAILED”, “NEEDS_ATTENTION”
resource_id (str) –
(optional) The ID (OCID) of the resource affected by the work request.
Example: ocid1.drplanexecution.oc1..uniqueID
opc_request_id (str) – (optional) The client request ID for tracing.
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call.
For important details about how pagination works, see List Pagination.
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. 1 is the minimum, 1000 is the maximum.
For important details about how pagination works, see List Pagination.
Example: 100
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeAccepted is descending.
Allowed values are: “timeAccepted”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestSummaryCollection- Return type
- Example
Click here to see an example of how to use list_work_requests API.
- pause_dr_plan_execution(pause_dr_plan_execution_details, dr_plan_execution_id, **kwargs)¶
Pause the DR plan execution identified by drPlanExecutionId.
- Parameters
pause_dr_plan_execution_details (oci.disaster_recovery.models.PauseDrPlanExecutionDetails) – (required) Details for pausing the DR plan execution.
dr_plan_execution_id (str) –
(required) The OCID of the DR plan execution.
Example: ocid1.drplanexecution.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use pause_dr_plan_execution API.
- refresh_dr_plan(refresh_dr_plan_details, dr_plan_id, **kwargs)¶
Refresh DR Plan identified by drPlanId.
- Parameters
refresh_dr_plan_details (oci.disaster_recovery.models.RefreshDrPlanDetails) – (required) Details for refreshing a DR plan.
dr_plan_id (str) –
(required) The OCID of the DR plan.
Example: ocid1.drplan.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use refresh_dr_plan API.
- resume_dr_plan_execution(resume_dr_plan_execution_details, dr_plan_execution_id, **kwargs)¶
Resume the DR plan execution identified by drPlanExecutionId.
- Parameters
resume_dr_plan_execution_details (oci.disaster_recovery.models.ResumeDrPlanExecutionDetails) – (required) Details for resuming the DR plan execution.
dr_plan_execution_id (str) –
(required) The OCID of the DR plan execution.
Example: ocid1.drplanexecution.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use resume_dr_plan_execution API.
- retry_dr_plan_execution(retry_dr_plan_execution_details, dr_plan_execution_id, **kwargs)¶
Retry the failed group or step in DR plan execution identified by drPlanExecutionId and resume execution.
- Parameters
retry_dr_plan_execution_details (oci.disaster_recovery.models.RetryDrPlanExecutionDetails) – (required) Details for retrying execution of the failed group or step.
dr_plan_execution_id (str) –
(required) The OCID of the DR plan execution.
Example: ocid1.drplanexecution.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use retry_dr_plan_execution API.
- update_automatic_dr_configuration(update_automatic_dr_configuration_details, automatic_dr_configuration_id, **kwargs)¶
Update the Automatic DR configuration identified by automaticDrConfigurationId.
- Parameters
update_automatic_dr_configuration_details (oci.disaster_recovery.models.UpdateAutomaticDrConfigurationDetails) – (required) Details for updating the Automatic DR configuration.
automatic_dr_configuration_id (str) –
(required) The OCID of the Automatic DR configuration.
Example: ocid1.automaticDrConfiguration.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use update_automatic_dr_configuration API.
- update_dr_plan(update_dr_plan_details, dr_plan_id, **kwargs)¶
Update the DR plan identified by drPlanId.
- Parameters
update_dr_plan_details (oci.disaster_recovery.models.UpdateDrPlanDetails) – (required) Details for updating the DR plan.
dr_plan_id (str) –
(required) The OCID of the DR plan.
Example: ocid1.drplan.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use update_dr_plan API.
- update_dr_plan_execution(update_dr_plan_execution_details, dr_plan_execution_id, **kwargs)¶
Update the DR plan execution identified by drPlanExecutionId.
- Parameters
update_dr_plan_execution_details (oci.disaster_recovery.models.UpdateDrPlanExecutionDetails) – (required) Details for updating the DR plan execution.
dr_plan_execution_id (str) –
(required) The OCID of the DR plan execution.
Example: ocid1.drplanexecution.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use update_dr_plan_execution API.
- update_dr_protection_group(update_dr_protection_group_details, dr_protection_group_id, **kwargs)¶
Update the DR protection group identified by drProtectionGroupId.
- Parameters
update_dr_protection_group_details (oci.disaster_recovery.models.UpdateDrProtectionGroupDetails) – (required) Details for updating the the DR protection group.
dr_protection_group_id (str) –
(required) The OCID of the DR protection group.
Example: ocid1.drprotectiongroup.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use update_dr_protection_group API.
- update_dr_protection_group_role(update_dr_protection_group_role_details, dr_protection_group_id, **kwargs)¶
Update the role of the DR protection group identified by drProtectionGroupId.
- Parameters
update_dr_protection_group_role_details (oci.disaster_recovery.models.UpdateDrProtectionGroupRoleDetails) – (required) The role details for the DR protection group to be updated.
dr_protection_group_id (str) –
(required) The OCID of the DR protection group.
Example: ocid1.drprotectiongroup.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use update_dr_protection_group_role API.
- verify_dr_plan(verify_dr_plan_details, dr_plan_id, **kwargs)¶
Verify DR Plan identified by drPlanId.
- Parameters
verify_dr_plan_details (oci.disaster_recovery.models.VerifyDrPlanDetails) – (required) Details for verifying a DR plan.
dr_plan_id (str) –
(required) The OCID of the DR plan.
Example: ocid1.drplan.oc1..uniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use verify_dr_plan API.